alter table system_errors drop sql_state ;
alter table system_errors drop sql_class ;
alter table system_errors drop sql_subclass ;
alter table system_errors add sqlstate char(5);

create table sqlstate_detail (sqlstate char(5) not null primary key,
 sqlstate_text varchar(113) );

alter table system_errors
 add constraint fk_sqlstate foreign key (sqlstate)
 references sqlstate_detail(sqlstate) ;

-- Query to provide verification report for SQLSTATE information:
--SELECT SE.FAC_CODE, SE.NUMBER, GDS_SYMBOL, TEXT, SE.SQL_STATE, SQLSTATE_TEXT
-- FROM SYSTEM_ERRORS SE
-- INNER JOIN MESSAGES ME
--ON (ME.FAC_CODE = SE.FAC_CODE AND ME.NUMBER = SE.NUMBER)
-- INNER JOIN SQLSTATE_DETAIL SSD
--ON (SSD.SQL_STATE = SE.SQL_STATE)
--ORDER BY GDS_SYMBOL;

-- show sqlstates not used
-- select sql_state, sqlstate_text
-- from sqlstate_detail
-- where sql_state not in (select sql_state from system_errors ) ;

--Datafill for SQState information';
delete from sqlstate_detail;
commit;
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('00000', 'Success');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01000', 'General warning');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01001', 'Cursor operation conflict');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01002', 'Disconnect error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01003', 'NULL value eliminated in set function');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01004', 'String data, right-truncated');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01005', 'Insufficient item descriptor areas');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01006', 'Privilege not revoked');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01007', 'Privilege not granted');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01008', 'Implicit zero-bit padding');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01009', 'Search condition too long for info schema');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('0100A', 'Query expression too long for info schema');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01100', 'Statement reset to unprepared');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01101', 'Ongoing transaction has been committed');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01102', 'Ongoing transaction has been rolled back');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S00', 'Invalid connection string attribute');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S01', 'Error in row');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S02', 'Option value changed');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S06', 'Attempt to fetch before the result set returned the first rowset');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S07', 'Fractional truncation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S08', 'Error saving File DSN');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('01S09', 'Invalid keyword');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('02000', 'No data found or no rows affected');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07000', 'Dynamic SQL error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07001', 'Wrong number of parameters');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07002', 'COUNT field incorrect');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07003', 'Using clause required for dynamic parameters');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07004', 'COUNT field incorrect');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07005', 'Prepared statement not a cursor-specification');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07006', 'Restricted data type attribute violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07007', 'Using clause required for result fields ');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07008', 'Invalid descriptor count');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07009', 'Invalid descriptor index');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('07S01', 'Invalid use of default parameter');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08001', 'Client unable to establish connection');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08002', 'Connection name in use');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08003', 'Connection does not exist');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08004', 'Server rejected the connection');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08007', 'Connection failure during transaction');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08100', 'Invalid connection string attribute');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08102', 'Connection information string usage error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('08S01', 'Communication link failure');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('0A000', 'Feature not supported');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('21000', 'Cardinality violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('21S01', 'Insert value list does not match column list');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('21S02', 'Degree of derived table does not match column list');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22000', 'Error in row');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22001', 'String data, right-truncated');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22002', 'Indicator variable required but ot supplied');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22003', 'Numeric value out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22004', 'Indicator value out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22005', 'Error in assignment');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22007', 'Invalid datetime format');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22008', 'Datetime field overflow');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22009', 'Invalid time zone displacement value');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22011', 'A substring error occurred');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22012', 'Division by zero');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22015', 'Interval field overflow');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22018', 'Invalid character value for cast specification');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22019', 'Invalid escape character');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22021', 'Character not in repertoire');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22022', 'Indicator overflow');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22023', 'Invalid parameter value');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22024', 'Character string not properly terminated');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22025', 'Invalid escape sequence');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22026', 'String data, length mismatch');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('22027', 'Trim error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('23000', 'Integrity constraint violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('24000', 'Invalid cursor state');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('24504', 'The cursor identified in the UPDATE, DELETE, SET, or GET statement is not positioned on a row');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('25000', 'Invalid transaction state');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('25S01', 'Transaction state');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('25S02', 'Transaction is still active');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('25S03', 'Transaction is rolled back');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('26000', 'Invalid SQL statement name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('27000', 'Triggered data change violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('28000', 'Invalid authorization specification');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('2B000', 'Dependent privilege descriptors still exist');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('2C000', 'Invalid character set name ');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('2D000', 'Invalid transaction termination');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('2E000', 'Invalid connection name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('33000', 'Invalid SQL descriptor name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('34000', 'Invalid cursor name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('37000', 'Invalid identifier');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('37001', 'Identifier too long');

INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('3B000', 'Invalid save point');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('3C000', 'Duplicate cursor name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('3D000', 'Invalid catalog name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('3D001', 'Catalog name not found');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('3F000', 'Invalid schema name');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('40000', 'Ongoing transaction has been rolled back');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('40001', 'Serialization failure');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('40002', 'Transaction integrity constraint violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('40003', 'Statement completion unknown');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42000', 'Syntax error or access violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42S01', 'Base table or view already exists');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42S02', 'Base table or view not found');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42S11', 'Index already exists');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42S12', 'Index not found');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42S21', 'Column already exists');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42S22', 'Column not found');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42818', 'The operands of an operator or function are not compatible');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('44000', 'WITH CHECK OPTION violation');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('80001', 'Multiple INPUT bindings not supported.');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY000', 'General error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY001', 'Memory allocation error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY003', 'Invalid application buffer type');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY004', 'Invalid data type');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY007', 'Associated statement is not prepared');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY008', 'Operation canceled');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY009', 'Invalid use of null pointer');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY010', 'Function sequence error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY011', 'Attribute cannot be set now');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY012', 'Invalid transaction operation code');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY013', 'Memory management error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY014', 'Limit on the number of handles exceeded');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY015', 'No cursor name available');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY016', 'Cannot modify an implementation row descriptor');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY017', 'Invalid use of an automatically allocated descriptor handle');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY018', 'Server declined cancel request');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY019', 'Non-character and non-binary data sent in pieces');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY020', 'Attempt to concatenate a null value');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY021', 'Inconsistent descriptor information');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY024', 'Invalid attribute value');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY090', 'Invalid string or buffer length');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY091', 'Invalid descriptor field identifier');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY092', 'Invalid attribute/option identifier');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY095', 'Function type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY096', 'Invalid information type');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY097', 'Column type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY098', 'Scope type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY099', 'Nullable type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY100', 'Uniqueness option type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY101', 'Accuracy option type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY103', 'Invalid retrieval code');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY104', 'Invalid precision or scale value');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY105', 'Invalid parameter type');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY106', 'Fetch type out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY107', 'Row value out of range');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY109', 'Invalid cursor position');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY110', 'Invalid driver completion');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HY111', 'Invalid bookmark value');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HYC00', 'Optional feature not implemented');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HYT00', 'Timeout expired');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('HYT01', 'Connection timeout expired');
commit;

-- other sqlstates added, could be changed after review

-- class 38, external routine exception
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('38000', 'External routine exception');

-- class 39, external routine invocation exception
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('39000', 'External routine invocation exception');

-- additional class 42, syntax error or access violation
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42702', 'Ambiguous column reference');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42725', 'Ambiguous function reference');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42P08', 'Ambiguous parameter reference');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('42P09', 'Ambiguous alias reference');

-- class 54, program limit exceeded
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('54000', 'Program limit exceeded');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('54001', 'Statement too complex');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('54011', 'Too many columns');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('54023', 'Too many arguments');

-- class xx, internal error
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('XX000', 'Internal error');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('XX001', 'Data corrupted');
INSERT INTO SQLSTATE_DETAIL (SQLSTATE, SQLSTATE_TEXT) VALUES ('XX002', 'Index corrupted');
commit;

UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'adm_task_denied';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'alias_conflict_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22003' WHERE GDS_SYMBOL = 'arith_except';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'array_convert_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'array_idx_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'att_shutdown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_checksum';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_db_format';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_db_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_dbkey';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_default_value';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08007' WHERE GDS_SYMBOL = 'bad_detach';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_dpb_content';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_dpb_form';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_limit_param';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_lock_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_lock_level';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_msg_vec';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_protocol';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_req_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_sec_info';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_segstr_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_segstr_id';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_segstr_type';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08007' WHERE GDS_SYMBOL = 'bad_shutdown_mode';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_skip_param';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'bad_spb_form';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '26000' WHERE GDS_SYMBOL = 'bad_stmt_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22011' WHERE GDS_SYMBOL = 'bad_substring_length';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22011' WHERE GDS_SYMBOL = 'bad_substring_offset';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_svc_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_tpb_content';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_tpb_form';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bad_trans_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'badblk';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'badhndcnt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX002' WHERE GDS_SYMBOL = 'badindex';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'badmsgnum';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'badodsver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'badpage';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'badpagtyp';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07001' WHERE GDS_SYMBOL = 'badparnum';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX001' WHERE GDS_SYMBOL = 'badrelation';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'bdbincon';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'blktoobig';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'blob_convert_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'blob_filter_exception';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'blob_idx_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'blobnotsup';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'blobtoobig';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'blocking_signal';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'buf_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY001' WHERE GDS_SYMBOL = 'bufexh';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'bufinuse';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'bug_check';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY013' WHERE GDS_SYMBOL = 'cache_redef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY013' WHERE GDS_SYMBOL = 'cache_restart';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY013' WHERE GDS_SYMBOL = 'cache_too_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY008' WHERE GDS_SYMBOL = 'cancelled';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'cant_start_journal';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'cant_start_logging';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'cant_validate';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '2C000' WHERE GDS_SYMBOL = 'charset_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '2C000' WHERE GDS_SYMBOL = 'charset_not_installed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '44000' WHERE GDS_SYMBOL = 'check_cnstrnt_del';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '44000' WHERE GDS_SYMBOL = 'check_cnstrnt_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '23000' WHERE GDS_SYMBOL = 'check_constraint';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '44000' WHERE GDS_SYMBOL = 'check_trig_del';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '44000' WHERE GDS_SYMBOL = 'check_trig_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '23000' WHERE GDS_SYMBOL = 'cnstrnt_fld_del';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '23000' WHERE GDS_SYMBOL = 'cnstrnt_fld_rename';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'codnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'col_name_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22021' WHERE GDS_SYMBOL = 'collation_not_for_charset';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22021' WHERE GDS_SYMBOL = 'collation_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22021' WHERE GDS_SYMBOL = 'collation_not_installed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22021' WHERE GDS_SYMBOL = 'collation_requires_text';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'command_end_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'command_end_err2';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'complex_view';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'concat_overflow';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'conf_access_denied';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'conn_lost';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08004' WHERE GDS_SYMBOL = 'connect_reject';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'constaint_on_view';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22018' WHERE GDS_SYMBOL = 'convert_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX001' WHERE GDS_SYMBOL = 'corrupt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'crrp_data_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'cse_not_supported';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'ctx_bad_argument';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'ctx_namespace_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'ctx_too_big';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'ctx_var_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'ctxinuse';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'ctxnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'cursor_already_open';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'cursor_not_open';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'database_create_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22008' WHERE GDS_SYMBOL = 'date_range_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'datnotsup';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22008' WHERE GDS_SYMBOL = 'datype_notsup';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX001' WHERE GDS_SYMBOL = 'db_corrupt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'db_or_file_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dbbnotzer';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'dbfile';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ddl_not_allowed_by_db_sql_dial';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'deadlock';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'del_last_field';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'depend_on_uncommitted_rel';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dependency';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dialect_not_changed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01000' WHERE GDS_SYMBOL = 'dialect_reset_warning';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'dirtypage';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'distinct_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'doubleloc';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'drdb_completed_with_errs';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'drop_wal';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_agg_column_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_agg_group_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_agg_having_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_agg_nested_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_agg_ref_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_agg_where_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42702' WHERE GDS_SYMBOL = 'dsql_ambiguous_field_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_arr_range_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_base_table';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_blob_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_blob_type_unknown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_column_pos_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_command_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY004' WHERE GDS_SYMBOL = 'dsql_constant_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_construct_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07002' WHERE GDS_SYMBOL = 'dsql_count_mismatch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_crdb_prepare_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_close_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY015' WHERE GDS_SYMBOL = 'dsql_cursor_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '34000' WHERE GDS_SYMBOL = 'dsql_cursor_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_not_open';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_open_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_redefined';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '34000' WHERE GDS_SYMBOL = 'dsql_cursor_rel_ambiguous';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '34000' WHERE GDS_SYMBOL = 'dsql_cursor_rel_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_cursor_update_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY004' WHERE GDS_SYMBOL = 'dsql_datatype_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY004' WHERE GDS_SYMBOL = 'dsql_datatypes_not_comparable';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_dbkey_from_non_table';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '34000' WHERE GDS_SYMBOL = 'dsql_decl_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01000' WHERE GDS_SYMBOL = 'dsql_dialect_warning_expr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_domain_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_domain_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_dup_option';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_duplicate_spec';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S22' WHERE GDS_SYMBOL = 'dsql_field_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_field_ref';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_file_length_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '39000' WHERE GDS_SYMBOL = 'dsql_function_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'dsql_internal_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_invalid_array';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_invalid_label';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_line_col_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'dsql_max_arr_dim_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_no_blob_array';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_no_dup_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S02' WHERE GDS_SYMBOL = 'dsql_no_relation_alias';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '24000' WHERE GDS_SYMBOL = 'dsql_open_cursor_request';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_procedure_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_procedure_use_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S02' WHERE GDS_SYMBOL = 'dsql_relation_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_request_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_self_join';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_shadow_number_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07002' WHERE GDS_SYMBOL = 'dsql_sqlda_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_sqlda_value_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_stmt_handle';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_subselect_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S02' WHERE GDS_SYMBOL = 'dsql_table_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dsql_token_unk_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07002' WHERE GDS_SYMBOL = 'dsql_too_many_values';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_too_old_ods';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'dsql_tran_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_transitional_numeric';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '27000' WHERE GDS_SYMBOL = 'dsql_trigger_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY004' WHERE GDS_SYMBOL = 'dsql_type_not_supp_ext_tab';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '38000' WHERE GDS_SYMBOL = 'dsql_udf_return_pos_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_unknown_pos';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dsql_var_conflict';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '21S01' WHERE GDS_SYMBOL = 'dsql_var_count_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S02' WHERE GDS_SYMBOL = 'dsql_view_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'dsql_warn_precision_ambiguous';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'dsql_warn_precision_ambiguous1';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'dsql_warn_precision_ambiguous2';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'dsql_warning_number_ambiguous';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'dsql_warning_number_ambiguous1';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dtype_renamed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dup_usrname_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'duplicate_base_table';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'dupnodfnd';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_char_fld_too_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_delete_role_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_dependency_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_domain_name_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_dtype_conv_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_dtype_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_dup_sql_role';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S01' WHERE GDS_SYMBOL = 'dyn_field_name_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42702' WHERE GDS_SYMBOL = 'dyn_fld_ambiguous';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_grant_role_to_user';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_inv_sql_role_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_invalid_dtype_conversion';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_kywd_spec_for_role';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_no_grant_admin_opt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_role_does_not_exist';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_roles_not_supported';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'dyn_user_not_role_member';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'dyn_wrong_gtt_scope';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'dyn_zero_len_id';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY013' WHERE GDS_SYMBOL = 'err_stack_limit';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'error_adding_sec_record';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'error_deleting_sec_record';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'error_modifying_sec_record';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'error_updating_sec_db';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'except';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'except2';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'exception_access_violation';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_array_bounds_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_datatype_missalignment';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_float_denormal_operand';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22012' WHERE GDS_SYMBOL = 'exception_float_divide_by_zero';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_float_inexact_result';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_float_invalid_operand';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22003' WHERE GDS_SYMBOL = 'exception_float_overflow';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_float_stack_check';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22003' WHERE GDS_SYMBOL = 'exception_float_underflow';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22012' WHERE GDS_SYMBOL = 'exception_integer_divide_by_zero';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_integer_overflow';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22000' WHERE GDS_SYMBOL = 'exception_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'exception_sigbus';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'exception_sigfpe';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'exception_sigill';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'exception_sigsegv';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY001' WHERE GDS_SYMBOL = 'exception_stack_overflow';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'exception_unknown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'excess_trans';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'exec_sql_invalid_arg';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'exec_sql_invalid_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'exec_sql_invalid_var';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54001' WHERE GDS_SYMBOL = 'exec_sql_max_call_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'existing_priv_mod';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'expec_long';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'expec_positive';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'expec_short';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'expec_ushort';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'expression_eval_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ext_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ext_file_delete';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ext_file_modify';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ext_readonly_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '38000' WHERE GDS_SYMBOL = 'extern_func_dir_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '38000' WHERE GDS_SYMBOL = 'extern_func_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'extfile_uns_op';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'extract_input_mismatch ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'fatal_conflict';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'field_aggregate_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'field_disappeared';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'field_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S22' WHERE GDS_SYMBOL = 'field_ref_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'file_in_use';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S22' WHERE GDS_SYMBOL = 'fldnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '23000' WHERE GDS_SYMBOL = 'foreign_key';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'foreign_key_notfound';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'foreign_key_references_present';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'foreign_key_target_doesnt_exist ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01000' WHERE GDS_SYMBOL = 'from_no_match';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '39000' WHERE GDS_SYMBOL = 'funmismat';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '39000' WHERE GDS_SYMBOL = 'funnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_bkup_corrupt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_blob_col_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_blob_info_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_block_fac_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_cant_rest_record';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_close_blob_failed ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_comp_req_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_create_blob_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_data_only';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_db_create_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_db_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_db_format_too_old ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_db_in_use';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_db_info_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_db_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_decomp_len_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_disk_space_ex';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_dup_inout_names';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_err_restore_charset';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_err_restore_collation';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_exp_data_type';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_file_outof_sequence';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_filename_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_gen_id_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_get_seg_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_hdr_write_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_array_dim';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_bkup_ver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_block_fac';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_page_size';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_rec_len';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_size';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_inv_skipped_bytes ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_join_file_missing ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_just_data';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_missing_bkup_desc ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_missing_block_fac ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_missing_password';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_missing_skipped_bytes';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_missing_username';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_mode_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_multi_source_dest ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_no_db_desc';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_no_protection';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_no_tbl_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_not_ownr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_open_bkup_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_open_blob_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_open_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_page_buffers_missing ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_page_buffers_restore ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_page_buffers_wrong_param';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_page_size_missing ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_page_size_not_allowed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_page_size_toobig';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_put_blr_gen_id_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_put_seg_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_read_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_rec_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_rec_len_exp';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_redir_ouput_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_rel_req_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_restore_role_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_role_op_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_send_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_size_lt_min';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_start_req_failed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_stdin_not_supptd';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_stdout_not_supptd ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_string_trunc';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_svc_name_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_switches_conflict ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY001' WHERE GDS_SYMBOL = 'gbak_sysmemex';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_tbl_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unexp_eof';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unk_blob_item';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unk_db_file_spec';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unk_device';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unk_rec_type';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unk_type';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unknown_device';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_unknown_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_write_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gbak_xdr_len_expected';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'generator_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'gennotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_bad_pool';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_corrupt_pool';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_db_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_exceed_max';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_full_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_incmp_sw';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_invalid_sw';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY001' WHERE GDS_SYMBOL = 'gfix_mem_exhausted';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_mode_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_nval_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_opt_SQL_dialect';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_pass_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_pgbuf_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_pval_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_pzval_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_recon_fail';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_replay_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_retry';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_retry_db';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_sec_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_subs_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_trn_not_valid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_trn_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_trn_unknown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_type_shut';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_unexp_eoi';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_usrname_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_val_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gfix_wal_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01007' WHERE GDS_SYMBOL = 'grant_fld_notfound';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01007' WHERE GDS_SYMBOL = 'grant_nopriv';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01007' WHERE GDS_SYMBOL = 'grant_nopriv_on_base';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01007' WHERE GDS_SYMBOL = 'grant_obj_notfound';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_amb_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_cant_open_db';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_db_admin_pw_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_db_admin_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_db_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_add';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_delete';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_find_del';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_find_disp';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_find_mod';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_modify';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_err_rec_not_found ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_fname_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_gid_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_incompat_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_inv_param';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_inv_pw_length';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_inv_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_inv_username';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_lname_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_mname_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_no_op_spec';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_no_op_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_no_usr_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_op_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_org_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_params_not_allowed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_proj_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_pw_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_sql_role_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_switches_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gsec_uid_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_open_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_read_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_retry';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_sysmemex';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_unexpected_eof';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_unknown_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'gstat_wrong_ods';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'high_minor';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'host_unknown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'ib_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '37001' WHERE GDS_SYMBOL = 'identifier_too_long';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'idx_create_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'idx_key_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'idx_seg_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'illegal_prc_type';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'imp_exc';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'index_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'index_root_page_full';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'index_unused';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'indexname';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S12' WHERE GDS_SYMBOL = 'indexnotdefined';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'infinap';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'infona';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'infunk';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'insufficient_svc_privileges';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'integ_deactivate_primary';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '27000' WHERE GDS_SYMBOL = 'integ_fail';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'integ_index_deactivate ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'integ_index_del';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'integ_index_mod';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'integ_index_seg_del';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'integ_index_seg_mod';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'inv_client_dialect_specified ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'inv_dialect_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'inval_key_posn';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'invalid_array_id';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'invalid_blr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY111' WHERE GDS_SYMBOL = 'invalid_bookmark';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_clause';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_dimension';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_direction';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_key';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_operator';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '3B000' WHERE GDS_SYMBOL = 'invalid_savepoint';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'invalid_sdl';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'invalid_sec_info';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_sort_datatype';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invalid_string_constant';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22007' WHERE GDS_SYMBOL = 'invalid_time_precision ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'invld_cnstrnt_type';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'invpoolcl';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'io_32bit_exceeded_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'io_access_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'io_close_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'io_create_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'io_delete_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'io_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'io_open_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'io_read_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'io_write_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'isc_sql_dialect_conflict_num ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'journerr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'jrn_enable';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'jrn_file_full';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'jrn_format_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'jrn_present';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'key_field_count_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'key_field_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'keytoobig';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_amb_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_dup_id';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_err_convert';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_err_remove';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_err_unk';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_err_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_eval_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_inv_id_key';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_inv_op_combo';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_inv_parameter';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_inv_switch';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_inv_switch_combo';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_no_file';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_op_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_op_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_param_req';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_param_specified';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_svc_err_add';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_svc_err_remove ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'license_syntx_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22025' WHERE GDS_SYMBOL = 'like_escape_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'loadlib_failure';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'lock_conflict';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'lock_timeout';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'lockmanerr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'locnotmar';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'log_length_spec';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'log_redef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'log_too_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logb_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logf_unexpected_eof';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logh_diff_dbname';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logh_inv_version';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logh_open_flag';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logh_open_flag2';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logh_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'login';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'login_same_as_role_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logr_header_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'logr_incomplete';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'lost_db_connection';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'malformed_string';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08001' WHERE GDS_SYMBOL = 'max_att_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'max_idx';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'met_wrong_gtt_scope';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX001' WHERE GDS_SYMBOL = 'metadata_corrupt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'misc_interpreted';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'must_be_dialect_2_and_up';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'must_have_phys_field';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_connect_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_connect_listen_err ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_event_connect_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_event_listen_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_init_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_lookup_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_read_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'net_write_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08S01' WHERE GDS_SYMBOL = 'network_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_archive';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_cur_rec';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_dbkey';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_delete';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '23000' WHERE GDS_SYMBOL = 'no_dup';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S22' WHERE GDS_SYMBOL = 'no_field_access';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_finish';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_jrn';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_lock_mgr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'no_meta_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'no_priv';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_recon';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01000' WHERE GDS_SYMBOL = 'no_record';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25S02' WHERE GDS_SYMBOL = 'no_rollback';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_segments_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_segstr_close';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_stream_plan';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_wal';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'no_wal_no_jrn';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'no_write_user_priv';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'noargacc_read';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'noargacc_write';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'node_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'node_name_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'nodetach';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'nodnotfnd';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'nofilter';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'non_updatable';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'nonsql_security_fld';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'nonsql_security_rel';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'nopoolids';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'not_rel_owner';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'not_valid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'notinlim';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'notremote';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'nullsegkey';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07002' WHERE GDS_SYMBOL = 'num_field_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'num_old_files';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'obj_in_use';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'obsolete_metadata';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'old_failure';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'old_in_progress';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'old_no_space';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01002' WHERE GDS_SYMBOL = 'open_trans';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY004' WHERE GDS_SYMBOL = 'optimizer_between_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'optimizer_blk_exc';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'order_by_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'orphan';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'out_of_bounds';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'page_type_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'partition_not_supp';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'partition_too_small';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'partner_idx_incompat_type ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'partner_idx_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'password_required';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'password_too_long';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'port_len';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07001' WHERE GDS_SYMBOL = 'prc_out_param_mismatch ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07000' WHERE GDS_SYMBOL = 'prcmismat';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'prcnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'precision_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S11' WHERE GDS_SYMBOL = 'primary_key_exists';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'primary_key_notnull';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'primary_key_ref';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'proc_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'procedure_conflict_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'psw_attach';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'psw_start_trans';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'random';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'range_in_use';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'range_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'read_only';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'read_only_database';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'read_only_field';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'read_only_rel';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'read_only_trans';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'read_only_view';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'rec_in_limbo';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'rec_size_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'record_lock';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'record_lock_not_supp';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ref_cnstrnt_notfound';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'ref_cnstrnt_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'reftable_requires_pk';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'rel_cnstrnt_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'relation_conflict_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'relation_lock';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'relbadblk';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42S02' WHERE GDS_SYMBOL = 'relnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54001' WHERE GDS_SYMBOL = 'req_depth_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54001' WHERE GDS_SYMBOL = 'req_max_clones_exceeded';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'req_no_trans';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'req_sync';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'req_wrong_db';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'reqinuse';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'return_mode_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY104' WHERE GDS_SYMBOL = 'scale_nogt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01000' WHERE GDS_SYMBOL = 'segment';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '01000' WHERE GDS_SYMBOL = 'segstr_eof';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'segstr_no_op';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'segstr_no_read';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'segstr_no_trans';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'segstr_no_write';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'segstr_wrong_db';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'service_att_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'service_not_supported';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'service_unknown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'shadow_accessed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'shadow_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'shutdown';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'shutfail';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'shutinprog';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'shutwarn';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '21000' WHERE GDS_SYMBOL = 'sing_select_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'sort_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY001' WHERE GDS_SYMBOL = 'sort_mem_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'sort_rec_size_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'specify_field_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'sql_db_dialect_dtype_unsupport';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'sql_dialect_datatype_unsupport';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'sqlerr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'sqlwarn';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'srvr_version_too_old';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'stack_trace';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'start_cm_for_wal';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'stream_bof';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'stream_crack';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'stream_eof';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'stream_not_defined';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'stream_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'stream_twice';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'subquery_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'subtype_for_internal_use';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'svc_in_use';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'svc_name_missing';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'svcnoexe';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'svcnotdef';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'svcnouser';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'syntaxerr';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'sys_request';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'systrig_update';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'table_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'table_view_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'text_subtype';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'token_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'token_too_long';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54001' WHERE GDS_SYMBOL = 'too_many_contexts';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'too_many_handles';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'tra_must_sweep';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '54000' WHERE GDS_SYMBOL = 'tra_num_exc';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'tra_state';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'trainlim';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'tranotzer';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'trans_invalid';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'transitional_date';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '22018' WHERE GDS_SYMBOL = 'transliteration_failed ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'traoutsta';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '25000' WHERE GDS_SYMBOL = 'trareqmis';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '38000' WHERE GDS_SYMBOL = 'udf_exception';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '38000' WHERE GDS_SYMBOL = 'udf_name';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '08102' WHERE GDS_SYMBOL = 'unavailable';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'unexp_spb_form';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'union_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '23000' WHERE GDS_SYMBOL = 'unique_key_violation';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'unlicensed';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY007' WHERE GDS_SYMBOL = 'unprepared_stmt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'unres_rel';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'uns_ext';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'unsupported_network_drive ';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '40001' WHERE GDS_SYMBOL = 'update_conflict';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'usrname_not_found';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'usrname_required';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '28000' WHERE GDS_SYMBOL = 'usrname_too_long';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'valid_client_dialects';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '00000' WHERE GDS_SYMBOL = 'valid_db_dialects';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'version_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'view_alias';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY001' WHERE GDS_SYMBOL = 'virmemexh';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'waifortra';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_backup_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'wal_bugcheck';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_cache_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_cant_expand';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_expansion';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_jrn_comm';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_logwrite';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_rollover';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_rollover2';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_setup';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_ww_start';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_err_ww_sync';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_failure';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_file_open';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_illegal_attach';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_invalid_wpb';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_ovflow_log_required';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_shadow_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'XX000' WHERE GDS_SYMBOL = 'wal_subsys_corrupt';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wal_subsys_error';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'walw_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '42000' WHERE GDS_SYMBOL = 'where_err';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '0A000' WHERE GDS_SYMBOL = 'wish_list';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wroblrver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wrodpbver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wrodynver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wrong_backup_state';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wrong_ods';
UPDATE SYSTEM_ERRORS SET SQLSTATE = '07001' WHERE GDS_SYMBOL = 'wronumarg';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wrospbver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'wrotpbver';
UPDATE SYSTEM_ERRORS SET SQLSTATE = 'HY000' WHERE GDS_SYMBOL = 'xcpnotdef';

commit;

